Bug 1170493 - Some armv7 boards boots with network inactive since Snapshot 20200421
Some armv7 boards boots with network inactive since Snapshot 20200421
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Network
Current
armv7 Other
: P5 - None : Major (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-24 20:30 UTC by Guillaume GARDET
Modified: 2020-04-30 15:05 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
journalctl.log when network is down on boot (90.81 KB, text/plain)
2020-04-24 20:30 UTC, Guillaume GARDET
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume GARDET 2020-04-24 20:30:52 UTC
Created attachment 836769 [details]
journalctl.log when network is down on boot

Some armv7 boards (arndale board, SabreLite) boots with network inactive since Snapshot 20200421.
Main changes: http://download.opensuse.org/ports/aarch64/tumbleweed/iso/Changes.20200421.txt

'ifup eth0' returns:
  eth0            no-device

'yast2 lan' is set to activate eth0 at 'Boot time'. If I change it to 'On cable connection', it activates the network, but it is broken again on next boot. (I guess yast2 lan just restart the right service)



The only command I found to get the network activated is to run manually:
  ifconfig eth0 up
which starts the Ethernet module. And kernel traces shows:
  [  361.323247] Micrel KSZ9021 Gigabit PHY 2188000.ethernet-1:06: attached PHY driver [Micrel KSZ9021 Gigabit PHY] (mii_bus:phy_addr=2188000.ethernet-1:06, irq=POLL)

And journalctl -b | tail shows:
**********
Apr 06 10:04:53 flasher03 kernel: Micrel KSZ9021 Gigabit PHY 2188000.ethernet-1:06: attached PHY driver [Micrel KSZ9021 Gigabit PHY] (mii_bus:phy_addr=2188000.ethernet-1:06, irq=POLL)
Apr 06 10:04:55 flasher03 kernel: fec 2188000.ethernet eth0: Link is Up - 100Mbps/Full - flow control rx/tx
Apr 06 10:04:55 flasher03 kernel: IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Apr 06 10:04:55 flasher03 wickedd-dhcp4[967]: eth0: Request to acquire DHCPv4 lease with UUID 7bfd8a5e-5b29-0500-0804-000004000000
Apr 06 10:04:55 flasher03 wickedd-dhcp6[972]: eth0: Request to acquire DHCPv6 lease with UUID 7bfd8a5e-5b29-0500-0804-000005000000 in mode auto
Apr 06 10:04:55 flasher03 kernel: NET: Registered protocol family 17
Apr 06 10:04:56 flasher03 wickedd-dhcp4[967]: eth0: Committed DHCPv4 lease with address 192.168.0.33 (lease time 43200 sec, renew in 21600 sec, rebind in 37800 sec)
Apr 06 10:04:57 flasher03 wickedd-dhcp6[972]: eth0: DHCPv6 is disabled by IPv6 router RA
Apr 06 10:04:58 flasher03 wickedd-dhcp6[972]: eth0: DHCPv6 is disabled by IPv6 router RA
Apr 06 10:04:58 flasher03 wickedd-dhcp6[972]: eth0: DHCPv6 is disabled by IPv6 router RA
**********
Comment 1 Guillaume GARDET 2020-04-27 15:27:15 UTC
Raspberry Pi2 (armv7) is not affected. But I cannot spot any obvious difference, except that Ethernet devices are different.
Comment 2 Guillaume GARDET 2020-04-27 15:39:43 UTC
As ifconfig is deprecated, the following command also work:
  ip link set dev eth0 up
Comment 3 Guillaume GARDET 2020-04-27 16:09:07 UTC
And wicked cannot see the device if I do not use the 'ip link set dev eth0 up' command:
  wicked ifcheck all
returns:
  lo              device exists          = yes
  eth0            device exists          = no
  can0            device exists          = yes

I tried to restart wicked* services:
  systemctl restart wicked
  systemctl restart wickedd-nanny
  systemctl restart wickedd
but it has no effect.
Comment 4 Guillaume GARDET 2020-04-30 15:05:57 UTC
systemd has been updated in Factory, so I upgraded packages (systemd, udev, etc) from version 245-1.1 to version 245-4.1 using rpm packages from https://build.opensuse.org/package/binaries/openSUSE:Factory:ARM/systemd/standard and Ethernet is working fine again on boot.